Issue 4260 - Proposals for Bibliographic facility enhancements.
Summary: Proposals for Bibliographic facility enhancements.
Status: ACCEPTED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: All Other OS
: P5 (lowest) Trivial with 214 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: http://wiki.services.openoffice.org/w...
Keywords:
: 4290 18595 19117 25311 28574 29109 29726 34998 37647 53636 (view as issue list)
Depends on: 66979
Blocks: 105217
  Show dependency treegraph
 
Reported: 2002-04-26 09:31 UTC by dnwilson
Modified: 2017-05-20 11:28 UTC (History)
7 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description dnwilson 2002-04-26 09:31:55 UTC
I would like to start a discussion regarding the implementation of the 
Bibliography database function. I am willing to take on a role in formulating 
requirements for this if it is required. 
 
I am David Wilson. I have had some 20 years professional IT experience, which 
included database and application design, but I am a terrible programmer. 
Currently I am writing a MA thesis in history and I use OpenOffice (641) on 
Linux. 
 
This is my first posting here so please forgive if have missed some of the 
previous discussion, and please let me know if I am on the wrong track here. 
 
The Current Facilities 
 
In the current version (641) we have the old StarOffice 5.2 Bibliographic 
database and its simple reference insertion process. When an OpenOffice 
bibliographic entry is dragged onto a document, a dialog box opens which 
allows one to select the fields we want for the entry. This is saved so next 
time we can just drag the field entry into the text. For example ?Oisin and 
Patrick? in Irish Myths and Legends, Lady Gregory. (London: Running Press, 
1989) 412-421. This fine for a book entry but if I next need an Journal 
article entry I have to adjust the field list to look like ? T.M. 
Charles-Edwards, Honour and status in Some Irish and Welsh Prose Tales. in 
Eriu, xxxvi 1978.? Then I may need to insert an article in book, then a paper 
from conference proceedings, ect. It does not support the character 
formating, I have to adjust this myself. This was just not practicable. 
 
We also have the new ?Insert>Indexes and Tables>Bibliographic Entry?. This 
does will not select entries from the current bibliographic database on my 
system. But I assume that this will be fixed in a later version. It does 
allow me to add Bibliographic entries for the document, add references into 
the text and to produced a Bibliography. The format of the Bibliography can 
be finely controlled (it has character formating) and this is a very good 
piece of design and implementation. 
 
The Issue 
 
But these is one major problem with this. It seems to support only one of the 
commonly used citation methods ? ? the parenthetical or author date-method, 
and does not support the other common method - the footnote or endnote 
method. We I add a ?Insert>Indexes and Tables>Bibliographic Entry? it asks me 
to select the short name (the Citation Identifier) and it pasts this as a 
field into the document - (WILSON2002). 
 
Proposal 
 
I propose that we support the footnote or endnote method as well. This 
 defined in the ?Chicago Manual of Style? (Documentation is on the web at 
http://www.fsu.edu/~library/guides/chicago.html .). 
 
A suggestion is that the ?Bibliographic Entry? Dialog box allow the selection 
between the two methods, this would select for the insertion of the ?Short 
name? or for the formated text string similar to that defined for the 
Bibilography entries. This would not be too difficult to do. Ideally support 
could also be developed for the style convention that the first mention of a 
reference contain the full detail as and all subsequent references use the 
shorter version - ?Oisin and Patrick? in Irish Myths and Legends, 412-421. 
(without the publication details.) 
 
 
Even better would be to select the style conventions predefined and to be 
 able to select the style required - such as Chicago, APS, Harvard, ect. It 
 might be consided that the Style Convention attribute should be applied to 
 the document as a whole, to avoid mixtures of styles, and examiners red 
 marks. Also selection of a document style could also set other document 
 defaults, such as spacing, heading format etc. This would greatly facilitate 
 the accurate setting up of the document format ( I have not looked far into 
 this aspect). 
 
As facility of importing Style Conventions would be required. Endnote 
 provides style definitions to the general public which could be imported if 
 their import format was decoded. 
 http://www.endnote.com/support/enstylesfinder.asp 
 
We will have reached nirvana when, we can write one paper and just by 
selecting the required document Style Convention, print off submissions to 
numerous journals (all with different strictly enforced style conventions). 
Also we will have just about replaced Endnotes (TM), which will save many 
thousands of poor university students hundreds of dollars, euros etc. 
 
I welcome any comments or suggestions. 
 
Regards 
 
David Wilson
Comment 1 stefan.baltzer 2002-04-29 15:54:00 UTC
Éric, please have a look, feel free to comment and forward to CJ (if
you see further problems that may be turned into bugs, do so). 
Reassigned to Éric.
Comment 2 eric.savary 2002-04-30 18:39:39 UTC
Indeed I this is an important feature (a pretty frequently ask one!).
Comment 3 nedrichards 2002-05-05 01:55:26 UTC
this is very important. i can't see where to vote for this bug on the
page but +1.
Comment 4 dnwilson 2002-07-25 05:32:00 UTC
 I have received an email from B.M. Who is writing up his master's  
thesis for the University of Antwerp, Belgium. His problem is that  
he needs to cite reference using the format: (Author, year: page)  
where page is the exact page or pages in the book/article/whatever  
where the relevant information was found. But there is currently no  
way in which the OpenOffice user can add the page numbers within the  
fixed brackets [ ] of the Bibliographic field. If the user creates a  
citation identifier (short name) for each document and page number  
range and all these entries show up in the Bibliographic Table -  
that is multiple entries for books and articles with different page  
references, which we do not want.  
I (DNW) suggest two options for solving this the problem of adding  
page numbers to the in-text style which requires [Author, Date: Page  
numbers] eg. [dwilson,2002: 23-45].  
  
1. explicitly support this style of referencing, The insert  
bibliography entry dialog box would have a new text entry field for  
the page numbers so that the reference would show [Author, date: 
page]. But the page numbers would be ignored for the purposes of 
building up the Bibliographic table. 
 
Or  
 
2.Provide an Option to suppress the brackets [ ] around the field, 
the user could then add text before or after the field entry and 
provide any brackets required. This would be easier but less elegant 
I have added this proposal to the full proposal outlined on my web 
page http://www.users.bigpond.com/dnwilson 
Comment 5 eharren 2002-08-30 15:56:15 UTC
What about a field editor for user to decide, which fields should be
generated for citation? This could help users to generate a formated
model useful for writing scientific documents.
Comment 6 christian.jansen 2003-01-27 09:01:00 UTC
Oliver could you please take a look at Davids proposal? In my 
opinion his feature requests are very interesting and reasonable. I 
possible, we should make these changes to OO.o 2.0.
Comment 7 lsuarezpotts 2003-01-27 22:26:56 UTC
adding louis
Comment 8 Oliver Specht 2003-02-04 13:41:15 UTC
Accepted and component changed to sw
Comment 9 dnwilson 2003-08-18 23:19:08 UTC
*** Issue 4290 has been marked as a duplicate of this issue. ***
Comment 10 dnwilson 2003-08-25 01:10:07 UTC
*** Issue 18595 has been marked as a duplicate of this issue. ***
Comment 11 dnwilson 2003-09-06 05:17:49 UTC
*** Issue 19117 has been marked as a duplicate of this issue. ***
Comment 12 dnwilson 2004-04-08 23:10:06 UTC
*** Issue 25311 has been marked as a duplicate of this issue. ***
Comment 13 eric.savary 2004-05-03 13:48:50 UTC
*** Issue 28574 has been marked as a duplicate of this issue. ***
Comment 14 eric.savary 2004-05-07 18:26:47 UTC
Refering to issue 28574:

- Insert - Index - Bibliography entry
-> the list should be alphabetically sorted

- It should be possible to sort the fields of the Bibliography database
alphabetically and to save this order when living the database
Comment 15 dnwilson 2004-05-13 08:40:57 UTC
*** Issue 29109 has been marked as a duplicate of this issue. ***
Comment 16 dnwilson 2004-06-03 12:56:48 UTC
*** Issue 29726 has been marked as a duplicate of this issue. ***
Comment 17 lillefrog 2004-07-09 17:54:16 UTC
There have already been a lot of very good suggestions in this subject, but i 
have a few that i think would make the bibliography even better. I don't have 
very much experience with programming, so i don't know how difficult it is to 
implement. But they would be wonderful to have.

Auto complete in Author:
In science a lot of the papers are written by the same authors, so if program 
could suggest the names you have used before it would be really nice.

Import files from Reference manager.
This program is widely used on our university so it would be nice if we could 
import these files. I'm trying to figure out how the files work, but I'm not 
very good at that.

Key Words.
In Ref. manager it is possible to input keywords and search them, This is a 
very useful feature when you have more than 500 references. Keywords are also 
used again and again so an auto complete would also be useful.
Comment 18 dnwilson 2004-10-05 23:51:07 UTC
*** Issue 34998 has been marked as a duplicate of this issue. ***
Comment 19 freshwater 2004-10-07 23:04:30 UTC
In my opinion the essential features needed to tempt users away from the
Word/Reference Manager combo are:
1. Easy import of internet reference searches e.g. medline etc
2. Support for different output styles (e.g. Harvard, Vancouver, endnote,
footnote etc) and the ability to reformat to switch between styles at will.
3. A way to import references from Reference Manager, EndNote etc, as many users
will have many hundreds of references in these programs and will not switch
unless they can take their references with them
4. An ability to search through the references for keywords, authors etc to
enable those with large databases to find the reference they need to insert.
5. Ideally the ability to link a reference to a file (for example I have a lot
of scientific papers as pdf files, and reference manager allows me to insert a
link to the file location so that I can open the file from the reference to
check details etc).

I don't have any programming knowledge so don't know how difficult this will be
to implement, but as a user I would say that the above features are a minimum
for a realistic attempt at a bibliographic project in this day and age.

Dennis Freshwater
Comment 20 dnwilson 2004-11-22 22:06:56 UTC
*** Issue 37647 has been marked as a duplicate of this issue. ***
Comment 21 randomthot 2004-11-23 09:43:43 UTC
Another issue that needs to be addressed in the bibliography database is the
sorting function. When used to create a list of references for an APA style
paper, the references need to be sorted by (Author, Date) sequence, which is
straightforward enough, but references without an identifiable author (such as a
web page) need to be listed by the title of the article and alphabatized in the
list accordingly. The only work-arounds I can think of for this as it currently
stands are very awkward and/or a lot of extra work.

This issue, combined with others already mentioned, make the bibliography
function useless for APA formatted papers.
Comment 22 brendel 2005-02-15 08:27:00 UTC
I'm aware that there have already been postings about the importance to be able
to import EndNote files (or Reference Manager etc). Just one piece of more
information : EndNote V7 actually allows the export of its datafile in XML
format. I seems to me that it is a main issue to use XML in OO whereever
possible, so I'm astonished that I was not able to find a way to import an XML
database file from EndNote into the Bibliographic database. I searched help, I
searched issus, so finally I decided to add a comment to this issue.
If import of XML databases is already possible, I excuse myself but would be
very glad to know how it is done. 
If not, it would be a nice enhancement to have.

Comment 23 stasik2002 2005-05-04 19:41:43 UTC
"lillefrog

In Ref. manager it is possible to input keywords and search them, This is a 
very useful feature when you have more than 500 references. Keywords are also 
used again and again so an auto complete would also be useful."

I have that much references in my dissertation work and it is VERY annoying to
find one. It will be very useful to make a filtering option by fields, sorting
by fields and viewing by fields (not only short names). Only keywords will not
help with "more than 500 references".

Comment 24 yunkong 2005-10-27 08:28:13 UTC
*** Issue 53636 has been marked as a duplicate of this issue. ***
Comment 25 dnwilson 2006-04-14 22:53:36 UTC
Documentation of the Bibliographic Database proposals are now on a wiki page - 
 
http://wiki.services.openoffice.org/wiki/Bibliographic_Database 
Comment 26 dnwilson 2006-06-24 23:45:58 UTC
I changed the Summary description to better describe the status of the project.
Note: details of our bibliographic enhancements are now at 
http://wiki.services.openoffice.org/wiki/Bibliographic_Project's_Developer_Page
Comment 27 mbayer 2007-01-30 00:42:54 UTC
How can an issue with 144 votes be only priority P5? P5 means that the behavior
"rarely affects anybody noticeably", but this is the issue with the second most
number of votes. IMO this issue has to be at least P4.
Comment 28 Mathias_Bauer 2007-03-01 22:28:51 UTC
I just wanted to let all interested users know that we have planned to enhance
the bibliographic support in OOo in a more general way, first wrt. the file
format and the necessary counter part in the document core model in Writer.
Discussions about details can be restarted once this will be done. 

We are waiting for the ODF 1.2 specification that amongst other things will
describe the handling of bibliographic data. At least we have to wait unti the
content of the spec had stabilized enough to justify working on its implementation. 

As this will be quite some work to do we wouldn't complain if other developers
joined us implementing all the stuff. :-)
Comment 29 lsuarezpotts 2007-03-07 03:48:49 UTC
This is great news! And could find its way into a blog, say, or other news.

louis
Comment 30 skaertus 2007-09-22 17:36:21 UTC
I really want to see OOo bibliographic component improved, but I don't want it
to lose the features and functionality it already has.

It is a really important feature for me to put the authors name in drop caps. I
have many colleague who need to put either the authors or the books in drop
caps. Bibus, for example, doesn't allow that, but OpenOffice.org current
bibliography component does. I can work around the OOo shortcomings, but Bibus
is just useless for me because it doesn't allow drop caps. I just hope the new
OOo bibliographic component is as customizable as the old one in order to not
lose this kind of functionality.
Comment 31 bornmw 2007-10-27 20:19:26 UTC
I will be grateful if you could test my proposed fix for this issue:
http://www.dusystems.com/oobf.html
Comment 32 bdarcus 2007-10-28 22:52:31 UTC
bornmw: maybe someone else can find time to test it (I can't), but the problem
is that this solution only solves the most simple problem of the current
bibliographic support.

The plan has been to move the bibliographic supporting to adopting the new
generic metadata encoding and field solution coming in ODF 1.2 (and planned for
OOo 3.0). So think of something like how the Zotero OOo plug-in works, only
using a standard field (instead of bookmarks) and where the metadata for the
references gets embedded in the file package in a separate RDF/XML file.
Comment 33 eric.savary 2008-08-05 12:21:47 UTC
*** Issue 92393 has been marked as a duplicate of this issue. ***
Comment 34 Marcus 2017-05-20 11:28:01 UTC
Reset assigne to the default "issues@openoffice.apache.org".